### Enumeration

# Gtk SorterOrder

since: 4.0

#### Declaration

    enum Gtk.SorterOrder

#### Description [src]

Describes the type of order that a `GtkSorter` may produce.

Available since: 4.0

#### Members

`GTK_SORTER_ORDER_PARTIAL`

  A partial order. Any `GtkOrdering` is possible.

  - Value: `0`
  - Nickname: `partial`
  - Available since: 4.0
`GTK_SORTER_ORDER_NONE`

  No order, all elements are considered equal. `gtk_sorter_compare()` will only return `GTK_ORDERING_EQUAL`.

  - Value: `1`
  - Nickname: `none`
  - Available since: 4.0
`GTK_SORTER_ORDER_TOTAL`

  A total order. `gtk_sorter_compare()` will only return `GTK_ORDERING_EQUAL` if an item is compared with itself. Two different items will never cause this value to be returned.

  - Value: `2`
  - Nickname: `total`
  - Available since: 4.0